> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorpix.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List available AI Filters (ML models)

> The terms "AI Filters" and "ML Models" refer to the same concept.
- "AI Filter" is a more user-friendly term often used in user interfaces.
- "ML Model" is commonly found in technical documentation such as API references.

Each ML model belongs to one task. E.g. `200% AI Upscale` would belong to a `Super Resolution` task group. When selecting models for a video, one can only select one ML model per task group.

Visit the the [Help Center](https://help.tensorpix.ai/en/collections/5832762-ai-filters) for more detailed information about each ML model and its capabilities.



## OpenAPI

````yaml https://backend.tensorpix.ai/api/schema/ get /api/ml-models/
openapi: 3.1.0
info:
  title: TensorPix OpenAPI Documentation
  version: 1.1.0
  termsOfService: https://tensorpix.ai/terms-conditions
  contact:
    name: TensorPix Dev Team
    email: devs@tensorpix.ai
servers:
  - url: https://backend.tensorpix.ai
security: []
externalDocs:
  url: https://docs.tensorpix.ai
  description: Check out the full TensorPix documentation.
paths:
  /api/ml-models/:
    get:
      tags:
        - ml-models
      summary: List available AI Filters (ML models)
      description: >-
        The terms "AI Filters" and "ML Models" refer to the same concept.

        - "AI Filter" is a more user-friendly term often used in user
        interfaces.

        - "ML Model" is commonly found in technical documentation such as API
        references.


        Each ML model belongs to one task. E.g. `200% AI Upscale` would belong
        to a `Super Resolution` task group. When selecting models for a video,
        one can only select one ML model per task group.


        Visit the the [Help
        Center](https://help.tensorpix.ai/en/collections/5832762-ai-filters) for
        more detailed information about each ML model and its capabilities.
      operationId: ml_models_list
      parameters:
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedMLModelListList'
          description: ''
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedError'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
          description: ''
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedMLModelListList:
      type: object
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/MLModelList'
    UnauthenticatedError:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    ForbiddenError:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    RateLimitError:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    MLModelList:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
          description: Model name
        task:
          allOf:
            - $ref: '#/components/schemas/TaskEnum'
          readOnly: true
          description: |-
            Task (filter) used for video enhancement.

            * `1` - Super Resolution
            * `2` - Film damage
            * `3` - Denoise
            * `4` - Sharpen
            * `5` - VHS Prettify
            * `6` - Dropouts Buster
            * `7` - Auto Color Balance
            * `8` - Decompressor
            * `9` - Deinterlace
            * `10` - FPS Interpolation
            * `11` - Slow Motion
            * `12` - Face Enhance
            * `13` - Stabilization
            * `14` - Audio Denoise
            * `15` - Low Light Enhance
        cost_weight:
          type: number
          format: double
          readOnly: true
          description: >-
            Model's impact on the job cost. The higher the weight, the more the
            job will cost if this model is used.
        upscale_factor:
          type: integer
          readOnly: true
          description: >-
            Video upscale factor. E.g. 2 means the 512x512 px video becomes
            1024x1024 px. Ignored if the Super Resolution model is not present.
        fps_boost_factor:
          type: integer
          readOnly: true
          description: >-
            DEPRECATED. See Job's `fps_interpolation_factor`. How much the video
            framerate will be increased. Ignored if the framerate interpolation
            model is not present.
        priority:
          type: integer
          readOnly: true
          description: >-
            ML model execution priority. Used internally to determine the order
            of models execution. Lower value means earlier execution.
        max_resolution:
          type: integer
          readOnly: true
          description: >-
            Maximum input video resolution the ML model supports (in pixels).
            E.g. 4X upscale models don't support input video resolutions higher
            than 1280x720 px.
      required:
        - cost_weight
        - fps_boost_factor
        - id
        - max_resolution
        - name
        - priority
        - task
        - upscale_factor
    TaskEnum:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
        - 13
        - 14
        - 15
      type: integer
      description: |-
        * `1` - Super Resolution
        * `2` - Film damage
        * `3` - Denoise
        * `4` - Sharpen
        * `5` - VHS Prettify
        * `6` - Dropouts Buster
        * `7` - Auto Color Balance
        * `8` - Decompressor
        * `9` - Deinterlace
        * `10` - FPS Interpolation
        * `11` - Slow Motion
        * `12` - Face Enhance
        * `13` - Stabilization
        * `14` - Audio Denoise
        * `15` - Low Light Enhance
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````